nlohmann::detail::iterator_input_adapter
json.hpp
typename IteratorType
typename std::iterator_traits< IteratorType >::value_type using nlohmann::detail::iterator_input_adapter< IteratorType >::char_type = typename std::iterator_traits<IteratorType>::value_type char_type
IteratorType IteratorType nlohmann::detail::iterator_input_adapter< IteratorType >::current current
IteratorType IteratorType nlohmann::detail::iterator_input_adapter< IteratorType >::end end
typename BaseInputAdapter
size_t T T
friend struct friend struct wide_string_input_helper wide_string_input_helper
nlohmann::detail::iterator_input_adapter< IteratorType >::iterator_input_adapter
(IteratorType first, IteratorType last)
iterator_input_adapter
IteratorType first
IteratorType last
std::char_traits< char_type >::int_type std::char_traits<char_type>::int_type nlohmann::detail::iterator_input_adapter< IteratorType >::get_character () get_character JSON_HEDLEY_LIKELY
bool bool nlohmann::detail::iterator_input_adapter< IteratorType >::empty () const empty
nlohmann::detail::iterator_input_adapter< IteratorType >
-current
-end
IteratorType
- nlohmann::detail::iterator_input_adapter
  char_type
- nlohmann::detail::iterator_input_adapter
  current
- nlohmann::detail::iterator_input_adapter
  empty
- nlohmann::detail::iterator_input_adapter
  end
- nlohmann::detail::iterator_input_adapter
  get_character
- nlohmann::detail::iterator_input_adapter
  iterator_input_adapter
- nlohmann::detail::iterator_input_adapter
  wide_string_input_helper